Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class Party38Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.Party38Choice

    public class Party38Choice
    extends java.lang.Object

Java class for Party38Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party38Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="OrgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}OrganisationIdentification29"/>
             <element name="PrvtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}PersonIdentification13"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OrganisationIdentification29` `orgId`
`protected PersonIdentification13` `prvtId`

### Constructor Summary

Constructors
`Party38Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OrganisationIdentification29` `getOrgId()` Gets the value of the orgId property.
`PersonIdentification13` `getPrvtId()` Gets the value of the prvtId property.
`void` `setOrgId​(OrganisationIdentification29 value)` Sets the value of the orgId property.
`void` `setPrvtId​(PersonIdentification13 value)` Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgId

    protected OrganisationIdentification29 orgId

#### prvtId

    protected PersonIdentification13 prvtId

### Constructor Detail

#### Party38Choice

    public Party38Choice()

### Method Detail

#### getOrgId

    public OrganisationIdentification29 getOrgId()

Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentification29`

#### setOrgId

    public void setOrgId​(OrganisationIdentification29 value)

Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentification29`

#### getPrvtId

    public PersonIdentification13 getPrvtId()

Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentification13`

#### setPrvtId

    public void setPrvtId​(PersonIdentification13 value)

Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentification13`